:root {
    --corporative-color: #966044;
    --custom-position: 8dvh;
}

.finder_component {
    width: 100%;
    position: fixed;
    bottom: 2dvh;
    z-index: 999;
    transition: bottom .3s ease-in-out;
    display: flex;
    justify-content: center;

    &.top:not(:has(ui-finder-compact)) {
        bottom: var(--custom-position);
        transition: bottom .3s ease-in-out;
    }
}

body:has([data-mirai-component="finder"]) footer {
    padding-bottom: 100px !important;
}

/* ================================= */
/* CSS FOR NEW CLUB */
[data-mirai-component="signup"] {
    display: flex;
    justify-content: center;
}

[data-mirai-component="profile"],
[data-mirai-component="signup"] {
    padding: 100px 0;
}

body:has(ui-finder-compact) [data-mirai-component="session"]>ui-pressable>ui-view>ui-text {
    display: none;
}